import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BabylonHobbleEffectDirective {
    private el;
    private renderer;
    private hoverLayer1;
    private hoverLayer2;
    constructor(el: ElementRef, renderer: Renderer2);
    ngOnDestroy(): void;
    onMouseMove(event: MouseEvent): void;
    onMouseLeave(): void;
    private resetTransform;
    static ɵfac: i0.ɵɵFactoryDeclaration<BabylonHobbleEffectDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BabylonHobbleEffectDirective, "[hobbleEffect]", never, {}, {}, never, never, true, never>;
}
